## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global upstream_version        1.0.1

Name:                   libxchange
Version:                1.0.1
Release:                %autorelease
Summary:                Structured data representation and JSON support for C/C++
License:                Unlicense
URL:                    https://smithsonian.github.io/xchange
Source0:                https://github.com/Smithsonian/xchange/archive/refs/tags/v%{upstream_version}.tar.gz
BuildRequires:          gcc
BuildRequires:          sed
BuildRequires:          doxygen >= 1.9.0

%description

The xchange library provides a free framework for structured data 
representation in C/C++ (C99 or later), and includes JSON parsing and 
emitting functions. It is free to use, in any way you like, without 
licensing restrictions.

%package devel
Summary:                C development files for the xchange C/C++ library
Requires:               %{name}%{_isa} = %{version}-%{release}

%description devel
This sub-package provides C headers and non-versioned shared library symbolic 
links for the xchange C/C++ library.

%package doc
Summary:                Documentation for the xchange C/C++ library
BuildArch:              noarch

%description doc
This package provides HTML documentation and examples for the xchange C/C++ 
library. The HTML API documentation can also be used with the Eclipse IDE.

%prep
%setup -q -n xchange-%{upstream_version}

%build

make %{?_smp_mflags}

%check

make test

%install

make PACKAGE_NAME=%{name} DESTDIR=%{buildroot} libdir=%{_libdir} install

%files
%license LICENSE
%doc CHANGELOG.md
%{_libdir}/%{name}.so.1{,.*}

%files devel
%{_includedir}/*
%{_libdir}/libxchange.so
%doc CONTRIBUTING.md
%doc examples

%files doc
%license LICENSE
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/xchange.tag
%doc %{_docdir}/%{name}/html

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sat Jul 05 2025 Attila Kovacs <attipaci@gmail.com> - 1.0.1-1
- Update package for upstream v1.0.1

* Sun Mar 30 2025 Attila Kovacs <attipaci@gmail.com> - 1.0.0-1
- Upstream v1.0.0 with improved examples packaging

* Thu Mar 20 2025 Attila Kovacs <attipaci@gmail.com> - 1.0.0~rc7-1
- Update to upstream v1.0.0-rc7

* Thu Mar 13 2025 Attila Kovacs <attipaci@gmail.com> - 1.0.0~rc6-1
- Updated for upstream v1.0.0-rc6

* Sun Mar 09 2025 Attila Kovacs <attipaci@gmail.com> - 1.0.0~rc5-1
- More proper rc versioning

* Sun Mar 09 2025 Attila Kovacs <attipaci@gmail.com> - 1.0.0.rc5-1
- Initial import (fedora#2346787).
## END: Generated by rpmautospec
